Package tigase.workgroupqueues.util

## Class LimitedSizeQueue<T>

- java.lang.Object
- - tigase.workgroupqueues.util.LimitedSizeQueue<T>

- All Implemented Interfaces:
    `java.lang.Iterable<T>`, `java.util.Collection<T>`, `java.util.Queue<T>`

      public class LimitedSizeQueue<T>
      extends java.lang.Object
      implements java.util.Queue<T>, java.lang.Iterable<T>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LimitedSizeQueue​(int limit)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `add​(T o)` |
    `boolean` | `addAll​(java.util.Collection<? extends T> c)` |
    `void` | `clear()` |
    `boolean` | `contains​(java.lang.Object o)` |
    `boolean` | `containsAll​(java.util.Collection<?> c)` |
    `T` | `element()` |
    `T` | `get​(int index)` |
    `boolean` | `isEmpty()` |
    `java.util.Iterator<T>` | `iterator()` |
    `boolean` | `offer​(T e)` |
    `T` | `peek()` |
    `T` | `poll()` |
    `T` | `remove()` |
    `boolean` | `remove​(java.lang.Object o)` |
    `boolean` | `removeAll​(java.util.Collection<?> c)` |
    `boolean` | `retainAll​(java.util.Collection<?> c)` |
    `int` | `size()` |
    `java.lang.Object[]` | `toArray()` |
    `<T> T[]` | `toArray​(T[] a)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode, parallelStream, removeIf, spliterator, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### LimitedSizeQueue

          public LimitedSizeQueue​(int limit)

  - ### Method Detail

    - #### add

          public boolean add​(T o)

      Specified by:
        `add` in interface `java.util.Collection<T>`
      Specified by:
        `add` in interface `java.util.Queue<T>`

    - #### addAll

          public boolean addAll​(java.util.Collection<? extends T> c)

      Specified by:
        `addAll` in interface `java.util.Collection<T>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<T>`

    - #### contains

          public boolean contains​(java.lang.Object o)

      Specified by:
        `contains` in interface `java.util.Collection<T>`

    - #### containsAll

          public boolean containsAll​(java.util.Collection<?> c)

      Specified by:
        `containsAll` in interface `java.util.Collection<T>`

    - #### element

          public T element()

      Specified by:
        `element` in interface `java.util.Queue<T>`

    - #### get

          public T get​(int index)

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Collection<T>`

    - #### iterator

          public java.util.Iterator<T> iterator()

      Specified by:
        `iterator` in interface `java.util.Collection<T>`
      Specified by:
        `iterator` in interface `java.lang.Iterable<T>`

    - #### offer

          public boolean offer​(T e)

      Specified by:
        `offer` in interface `java.util.Queue<T>`

    - #### peek

          public T peek()

      Specified by:
        `peek` in interface `java.util.Queue<T>`

    - #### poll

          public T poll()

      Specified by:
        `poll` in interface `java.util.Queue<T>`

    - #### remove

          public boolean remove​(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection<T>`

    - #### remove

          public T remove()

      Specified by:
        `remove` in interface `java.util.Queue<T>`

    - #### removeAll

          public boolean removeAll​(java.util.Collection<?> c)

      Specified by:
        `removeAll` in interface `java.util.Collection<T>`

    - #### retainAll

          public boolean retainAll​(java.util.Collection<?> c)

      Specified by:
        `retainAll` in interface `java.util.Collection<T>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<T>`

    - #### toArray

          public java.lang.Object[] toArray()

      Specified by:
        `toArray` in interface `java.util.Collection<T>`

    - #### toArray

          public <T> T[] toArray​(T[] a)

      Specified by:
        `toArray` in interface `java.util.Collection<T>`